> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Instruction Visibility



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/projects/{projectId}/items/{id}/instruction-links/visibility
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/items/{id}/instruction-links/visibility:
    patch:
      tags:
        - Project Items
      summary: Patch Instruction Visibility
      operationId: ProjectItemsController_patchInstructionVisibility_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchProjectItemInstructionVisibilityDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ProjectItemInstructionVisibilityMutationResponseDto
components:
  schemas:
    PatchProjectItemInstructionVisibilityDto:
      type: object
      properties:
        version:
          type: integer
          minimum: 1
        ops:
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/ProjectItemInstructionVisibilityOperationDto'
      required:
        - version
        - ops
    ProjectItemInstructionVisibilityMutationResponseDto:
      type: object
      properties:
        guidance:
          $ref: '#/components/schemas/CategoryGuidanceResponseDto'
        version:
          type: number
      required:
        - guidance
        - version
    ProjectItemInstructionVisibilityOperationDto:
      type: object
      properties:
        instructionLineageId:
          type: string
          format: uuid
        enabled:
          type: boolean
      required:
        - instructionLineageId
        - enabled
    CategoryGuidanceResponseDto:
      type: object
      properties:
        revision:
          type: number
        classification:
          type: object
          properties:
            categoryId:
              type: string
            productTypeId:
              type: string
              nullable: true
          required:
            - categoryId
            - productTypeId
        instructions:
          type: array
          items:
            $ref: '#/components/schemas/ResolvedCategoryGuidanceGroupDto'
        requirements:
          type: array
          items:
            $ref: '#/components/schemas/ResolvedCategoryGuidanceGroupDto'
        furnishedInstalledBy:
          type: object
          properties:
            value:
              type: string
              nullable: true
              enum:
                - OFCI
                - OFOI
                - CFCI
                - CFOI
            origin:
              enum:
                - none
                - item-override
                - category-default
              type: string
          required:
            - value
            - origin
      required:
        - revision
        - classification
        - instructions
        - requirements
        - furnishedInstalledBy
    ResolvedCategoryGuidanceGroupDto:
      type: object
      properties:
        groupId:
          type: string
        groupLineageId:
          type: string
        groupLabel:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/ResolvedCategoryGuidanceItemDto'
      required:
        - groupId
        - groupLineageId
        - groupLabel
        - items
    ResolvedCategoryGuidanceItemDto:
      type: object
      properties:
        id:
          type: string
        lineageId:
          type: string
        text:
          type: string
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
              - facility_mgr
        position:
          type: number
        origin:
          type: string
          enum:
            - category
            - entry
            - item-disabled
      required:
        - id
        - lineageId
        - text
        - assigneeRoleGroupIds
        - position
        - origin

````